%{H_TEMPLATE}

#ifndef __TDEVPART_%{APPNAMEUC}_H__
#define __TDEVPART_%{APPNAMEUC}_H__


#include <kdevplugin.h>
#include <codemodel.h>
#include <kdevlanguagesupport.h>
#include <tqstringlist.h>
#include <kdialogbase.h>

class TDEAction;

/*
 Please read the README.dox file for more info about this part
 */
class %{APPNAME}Part : public KDevLanguageSupport
{
	Q_OBJECT
  
	public:
		%{APPNAME}Part(TQObject *parent, const char *name, const TQStringList &);
		~%{APPNAME}Part();
	protected:
		virtual Features features();
		virtual KMimeType::List mimeTypes();

	private slots:
		void slotRun();
		void projectConfigWidget(KDialogBase *dlg);
		void projectOpened();
		void projectClosed();
		void savedFile(const KURL &fileName);
		void addedFilesToProject(const TQStringList &fileList);
		void removedFilesFromProject(const TQStringList &fileList);
		void parse();
		void slotActivePartChanged(KParts::Part *part);
	private:
		TDEAction *m_build;
};


#endif
